For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • GETList runs
      • GETGet run
      • POSTCreate run
  • Event Reference
API ReferenceWorkflows

List runs

GET
https://api.plextera.com/api/public/v1/workflow-runs
GET
/api/public/v1/workflow-runs
$curl https://api.plextera.com/api/public/v1/workflow-runs \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "id": "string",
5 "status": "PROCESSING",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "startedAt": "2024-01-15T09:30:00Z",
9 "completedAt": "2024-01-15T09:30:00Z",
10 "error": {
11 "code": "UNSUPPORTED_DOCUMENT",
12 "message": "The document could not be processed by Document Insights."
13 },
14 "workflow": {
15 "id": "string",
16 "name": "string"
17 },
18 "progress": {
19 "stepsCompleted": 1,
20 "stepsTotal": 1
21 },
22 "durationMs": 1,
23 "computedDurationMs": 1,
24 "steps": [
25 {
26 "id": "string",
27 "name": "string",
28 "type": "string",
29 "status": "QUEUED",
30 "message": "string",
31 "output": null,
32 "nestedRuns": {
33 "count": 1,
34 "data": [
35 {
36 "id": "string",
37 "status": "PROCESSING",
38 "createdAt": "2024-01-15T09:30:00Z",
39 "updatedAt": "2024-01-15T09:30:00Z",
40 "startedAt": "2024-01-15T09:30:00Z",
41 "completedAt": "2024-01-15T09:30:00Z",
42 "error": {
43 "code": "UNSUPPORTED_DOCUMENT",
44 "message": "The document could not be processed by Document Insights."
45 },
46 "workflow": {
47 "id": "string",
48 "name": "string"
49 },
50 "progress": {
51 "stepsCompleted": 1,
52 "stepsTotal": 1
53 },
54 "durationMs": 1,
55 "computedDurationMs": 1,
56 "steps": [
57 null
58 ]
59 }
60 ]
61 }
62 }
63 ]
64 }
65 ],
66 "pageInfo": {
67 "page": 1,
68 "size": 1,
69 "totalItems": 1,
70 "totalPages": 1
71 }
72}
Was this page helpful?
Previous

Get run

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Query parameters

pageintegerOptional
sizeintegerOptional
statusenumOptional
Allowed values:
workflowIdstringOptional

Response

OK
datalist of objects
pageInfoobject